Creates a new db report
Request Information
URI Parameters :
None.
Body Parameters :
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "cbcf5583-2d20-4d82-9b27-18ffe6e8be97",
"db_report_type_id": "038b5894-2673-451e-b9cd-955d588b25ae",
"user_id": "3d40991d-5fca-45fa-9225-040448e8e7fc",
"company_id": "969db09b-22e1-4f51-b090-c8409d91b070",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "fc680d17-f6df-42fc-9665-7bdbbd95cb9c",
"id_in_table": "4d85ecb0-f6e9-4a7a-9062-3ca971f51837",
"date_last_update": "2026-05-01T16:02:31.4918417+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-01T16:02:31.4918417+00:00"
}
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "1139b161-5fff-4efb-9f8d-8642331a8cb0",
"db_report_type_id": "561e137c-cdc0-4c87-8399-8848e9914b48",
"user_id": "8454f472-d60f-4b98-bf6d-929c3e2e60bf",
"company_id": "1c97cb26-473f-4075-a1c7-0c07c702d6ce",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "411e515c-e4e3-469a-b733-a63e52a02192",
"id_in_table": "2f58887b-a36b-4a9b-9e2d-24a3be2f05e8",
"date_last_update": "2026-05-01T16:02:31.4918417+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-01T16:02:31.4918417+00:00"
}